%global pkg_name        Imager
%global pkg_version     0.61
%global rpm_pkg_version 0.61
%global rpm_pkg_release 1.n0i.21

Summary:       Draws, reads and writes image files
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TO/TONYC/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl

# full round... can you dig this?
BuildRequires: freetype1-devel
BuildRequires: freetype-devel
BuildRequires: gdbm-devel
BuildRequires: giflib-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: t1lib-devel
BuildRequires: perl(Affix::Infix2Postfix)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(Image::Math::Constrain)
BuildRequires: perl(Inline)
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl(Test::Pod) >= 1.00
BuildRequires: perl(Test::Pod::Coverage) >= 1.08


%description
Imager is a module for creating and altering images. It can read and write
various image formats, draw primitive shapes like lines,and polygons, blend
multiple images together in various ways, scale, crop, render text and more.

%package devel
Summary:  Imager development files
Group:    Development/Libraries
Requires: %{name} = %{version}

%description devel
Development files useful for building Imager extensions.

%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path samples/}


%build
export IM_LFLAGS="-lX11"
export IM_INCPATH="/usr/include/freetype1"
%{perl_build -- --disable=ungif}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README samples/
%{perl_files}
%exclude %{perl_vendorarch}/Imager/API*.pod
%exclude %{perl_vendorarch}/Imager/ExtUtils.pm
%exclude %{perl_vendorarch}/Imager/Inline.pod
%exclude %{perl_vendorarch}/Imager/Test.pm
%exclude %{perl_vendorarch}/Imager/include
%exclude %{perl_vendorarch}/Imager/interface.pod
%exclude %{perl_vendorarch}/Imager/regmach.pod
%exclude %{_mandir}/man3/Imager::API*
%exclude %{_mandir}/man3/Imager::ExtUtils.*
%exclude %{_mandir}/man3/Imager::Inline.*
%exclude %{_mandir}/man3/Imager::Test.*
%exclude %{_mandir}/man3/Imager::interface.*
%exclude %{_mandir}/man3/Imager::regmach.*

%files devel
%defattr(-,root,root,-)
%{perl_vendorarch}/Imager/API*.pod
%{perl_vendorarch}/Imager/ExtUtils.pm
%{perl_vendorarch}/Imager/Inline.pod
%{perl_vendorarch}/Imager/Test.pm
%{perl_vendorarch}/Imager/include
%{perl_vendorarch}/Imager/interface.pod
%{perl_vendorarch}/Imager/regmach.pod
%{_mandir}/man3/Imager::API*
%{_mandir}/man3/Imager::ExtUtils.*
%{_mandir}/man3/Imager::Inline.*
%{_mandir}/man3/Imager::Test.*
%{_mandir}/man3/Imager::interface.*
%{_mandir}/man3/Imager::regmach.*

%changelog
* Wed Nov 07 2007 Marius Feraru <altblue@n0i.net> - 0.61-1.n0i.21
- version 0.61
- spec update (new reb00t build tools)
- split 'devel'

* Thu Aug 30 2007 Marius Feraru <altblue@n0i.net> - 0.60-1.n0i.20
- version 0.60

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.59-1.n0i.19
- version 0.59

* Sat Jun 02 2007 Marius Feraru <altblue@n0i.net> - 0.58-1.n0i.18
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 0.58

* Tue Mar 20 2007 Marius FERARU <altblue@n0i.net> - 0.55-1.n0i.17
- version 0.55

* Sat Jul 15 2006 Marius FERARU <altblue@n0i.net> - 0.51_02-2.n0i.16
- automatic rebuild

* Sat Jul 08 2006 Marius Feraru <altblue@n0i.net> - 0.51_02-1.n0i.15
- version 0.51_02

* Fri Jun 30 2006 Marius Feraru <altblue@n0i.net> - 0.51_01-1.n0i.14
- version 0.51_01
- split devel package
- added dist macro

* Tue May 02 2006 Marius Feraru <altblue@n0i.net> - 0.51-1.n0i.13
- version 0.51

* Thu Mar 30 2006 Marius Feraru <altblue@n0i.net> - 0.50-1.n0i.12
- version 0.50

* Mon Mar 27 2006 Marius Feraru <altblue@n0i.net> - 0.49-1.n0i.11
- version 0.49

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.48-1.n0i.10
- version 0.48

* Thu Feb 02 2006 Marius Feraru <altblue@n0i.net> 0.47-1.n0i.9
- version 0.47

* Thu Jul 28 2005 Marius FERARU <altblue@n0i.net> 0.45-1.n0i.8
- version 0.45

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.44-2.n0i.7
- automatic rebuild (perl 5.8.6)

* Wed Jan 05 2005 Marius Feraru <altblue@n0i.net> 0:0.44-1.n0i.6
- version 0.44

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:0.43-3.n0i.5
- automatic rebuild (perl 5.8.6)

* Wed May 05 2004 Marius FERARU <altblue@n0i.net> 0:0.43-2.n0i.4
- spec updates
- rebuild (perl 5.8.4)

* Sun Feb 22 2004 Marius FERARU <altblue@n0i.net> 0:0.43-1.n0i.3
- version 0.43

* Fri Jan 30 2004 Marius FERARU <altblue@n0i.net> 0:0.42-0.n0i.2
- version 0.42
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Fri Oct 17 2003 Marius FERARU <altblue@n0i.net> 0.41-0.n0i
- version 0.41
- spec file (re?)created using N0i::CPAN::RPMizer/2003101101
